import requests
from api_auth import APICredentials, APIParams
  
class VirtualLinearPlaylist:
    def __init__(self):
        self.host = "https://services.uplynk.com"
  
    def run(self):
        self._delete_virtual_linear_playlist()
  
    def _delete_virtual_linear_playlist(self):
        playlist_id = 'abce801613f94955b17db4f7c8e8137c' # Replace with the desired playlist ID.
        url = "{}{}{}".format(self.host, "/api/v4/linear-playlist/", playlist_id)
 
        headers = {'Content-Type': 'application/json'}
  
        response = requests.delete(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
VirtualLinearPlaylist().run()